__defineBuiltinComponent('button', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-button', {
  relations: {
    'mt-label': {
      type: 'ancestor'
    },
    'mt-form': {
      type: 'ancestor'
    }
  },
  behaviors: ['wx://mt-form', 'wx://mt-label'],
  properties: {
    size: {
      type: String,
      value: 'default'
    },
    type: {
      type: String
    },
    disabled: {
      type: [Boolean, String],
      value: false
    },
    plain: {
      type: [Boolean, String],
      value: false
    },
    loading: {
      type: [Boolean, String],
      value: false
    },
    formType: String,
    openType: String,
    sessionFrom: String,
    sendMessageTitle: {
      type: String,
      value: '当前标题'
    },
    sendMessagePath: {
      type: String,
      value: '当前分享路径'
    },
    sendMessageImg: {
      type: String,
      value: '截图'
    },
    showMessageCard: {
      type: [Boolean, String],
      value: false
    },
    appParameter: String,
    hoverClass: {
      type: String,
      value: ''
    },
    hoverStopPropagation: {
      type: [Boolean, String],
      value: false
    },
    hoverStartTime: {
      type: [Number, String],
      value: 20
    },
    hoverStayTime: {
      type: [Number, String],
      value: 70
    }
  },
  events: [{
    name: 'tap',
    host: true,
    listener: 'handleTap'
  }],
  methods: {
    handleProxyTap: function handleProxyTap(event) {
      var _this = this;

      var _event$detail = event.detail,
          type = _event$detail.type,
          target = _event$detail.target,
          timeStamp = _event$detail.timeStamp;

      switch (type) {
        case 'getUserInfo':
          wx.getUserInfo({
            from: 'button',
            withCredentials: true,
            lang: 'en',
            success: function success(result) {
              var errMsg = result.errMsg,
                  userInfo = result.userInfo,
                  rawData = result.rawData,
                  signature = result.signature,
                  encryptedData = result.encryptedData,
                  iv = result.iv;

              _this.triggerEvent('getuserinfo', {
                errMsg: errMsg,
                encryptedData: encryptedData,
                iv: iv,
                rawData: rawData,
                signature: signature,
                userInfo: userInfo
              });
            },
            fail: function fail(result) {
              var errMsg = result.errMsg;

              _this.triggerEvent('getuserinfo', {
                errMsg: errMsg
              });
            }
          });
          break;

        case 'getPhoneNumber':
          wx.getPhoneNumber({
            from: 'button',
            success: function success(result) {
              var errMsg = result.errMsg,
                  encryptedData = result.encryptedData,
                  iv = result.iv;

              _this.triggerEvent('getphonenumber', {
                errMsg: errMsg,
                encryptedData: encryptedData,
                iv: iv
              });
            },
            fail: function fail(result) {
              var errMsg = result.errMsg;

              _this.triggerEvent('getphonenumber', {
                errMsg: errMsg
              });
            }
          });
          break;

        case 'openSetting':
          wx.openSetting({
            from: 'button',
            success: function success(result) {
              var errMsg = result.errMsg,
                  authSetting = result.authSetting;

              _this.triggerEvent('opensetting', {
                errMsg: errMsg,
                authSetting: authSetting
              });
            },
            fail: function fail(result) {
              var errMsg = result.errMsg;

              _this.triggerEvent('opensetting', {
                errMsg: errMsg
              });
            }
          });
          break;

        default: // do nothing

      }
    }
  }
});
          },wxml: function (_) {
  return [_.s(), _.c("span", {
    "props": null,
    "meta": {
      "on": [{
        "name": "proxytap",
        "listener": "handleProxyTap"
      }],
      "ref": "proxy-element",
      "class": "button-proxy"
    }
  })];
} });