__defineBuiltinComponent('navigator', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-navigator', {
  properties: {
    target: {
      type: String,
      value: 'self'
    },
    url: String,
    openType: {
      type: String,
      value: 'navigate'
    },
    delta: {
      type: Number,
      value: 1
    },
    appId: {
      type: String
    },
    path: {
      type: String
    },
    extraData: {
      type: Object,
      value: {}
    },
    version: {
      type: String,
      value: 'release'
    },
    hoverClass: {
      type: String,
      value: 'navigator-hover'
    },
    hoverStartTime: {
      type: [Number, String],
      value: 50
    },
    hoverStayTime: {
      type: [Number, String],
      value: 400
    },
    hoverStopPropagation: {
      type: [Boolean, String],
      value: false
    }
  },
  events: [{
    name: 'tap',
    listener: 'handleTap',
    host: false
  }],
  methods: {
    handleTap: function handleTap() {
      var _this = this;

      var _this$data = this.data,
          target = _this$data.target,
          url = _this$data.url,
          openType = _this$data.openType;
      var options = {
        success: function success(result) {
          var errMsg = result.errMsg;

          _this.triggerEvent('success', {
            errMsg: errMsg
          });
        },
        fail: function fail(result) {
          var errMsg = result.errMsg;

          _this.triggerEvent('fail', {
            errMsg: errMsg
          });
        }
      };

      switch (openType) {
        case 'navigate':
          {
            if (target === 'miniProgram') {
              var _this$data2 = this.data,
                  appId = _this$data2.appId,
                  path = _this$data2.path,
                  extraData = _this$data2.extraData,
                  version = _this$data2.version;
              wx.navigateToMiniProgram(Object.assign(options, {
                appId: appId,
                path: path,
                extraData: extraData,
                envVersion: version
              }));
            } else {
              wx.navigateTo(Object.assign(options, {
                url: url
              }));
            }

            break;
          }

        case 'redirect':
          {
            wx.redirectTo(Object.assign(options, {
              url: url
            }));
            break;
          }

        case 'switchTab':
          {
            wx.switchTab(Object.assign(options, {
              url: url
            }));
            break;
          }

        case 'reLaunch':
          {
            wx.reLaunch(Object.assign(options, {
              url: url
            }));
            break;
          }

        case 'navigateBack':
          {
            wx.navigateBack(Object.assign(options, {
              delta: 1
            }));
            break;
          }

        case 'exit':
          {
            if (target === 'miniProgram') {
              self.__appWorker.apiChannel.invoke('exitMiniProgram', options);
            }

            break;
          }

        default:
          {// do nothing
          }
      }
    }
  },
  render: function render(creEle, getSlots) {
    return getSlots();
  }
});
          } });