__defineBuiltinComponent('text', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

// 下面的空格是不一样的！
var spaceMapObj = {
  nbsp: ' ',
  ensp: ' ',
  emsp: ' '
};
var regExp_br = /\n|\\n/;
var regExp_singleSpace = / /g;
var regExp_space = / +/g;
var regExp_nbsp = /&nbsp;/g;
var regExp_ensp = /&ensp;/g;
var regExp_emsp = /&emsp;/g;
var regExp_lt = /&lt;/g;
var regExp_gt = /&gt;/g;
var regExp_quot = /&quot;/g;
var regExp_apos = /&apos;/g;
var regExp_amp = /&amp;/g;

function transform(h, children, decode, space) {
  var result = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : [];
  var i, child;

  for (i = 0; i < children.length; i++) {
    child = children[i];

    if (typeof child === 'string') {
      child.split(regExp_br).forEach(function (frag, index) {
        if (index > 0) {
          result.push(h('br'));
        }

        if (space !== undefined) {
          frag = frag.replace(regExp_singleSpace, space);
        } else {
          frag = frag.replace(regExp_space, ' ');
        }

        if (decode) {
          frag = frag.replace(regExp_nbsp, " ").replace(regExp_ensp, " ").replace(regExp_emsp, " ").replace(regExp_lt, "<").replace(regExp_gt, ">").replace(regExp_quot, '"').replace(regExp_apos, "'").replace(regExp_amp, "&");
        }

        result.push(frag);
      });
    } else if (Array.isArray(child)) {
      transform(h, child, decode, space, result);
    } else {
      result.push(child);
    }
  }

  return result;
}

BuiltinComponent('mt-text', {
  properties: {
    animation: Object,
    selectable: {
      type: Boolean,
      value: false
    },
    space: {
      type: [Boolean, String],
      value: false
    },
    decode: {
      type: Boolean,
      value: false
    }
  },
  render: function render(h, getSlot) {
    var _this$data = this.data,
        space = _this$data.space,
        _this$data$decode = _this$data.decode,
        decode = _this$data$decode === void 0 ? false : _this$data$decode;
    return transform(h, getSlot('default'), decode, spaceMapObj[space]);
  }
});
          } });