__defineBuiltinComponent('textarea', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var isIOS = self.platform === 'iOS' || self.navigator && /iphone/i.test(navigator.userAgent);

function compareVersion(a, b) {
  a = a.split('.');
  b = b.split('.');

  for (var i = 0; i < Math.max(a.length, b.length); i++) {
    var n1 = Number(a[i]) || 0;
    var n2 = Number(b[i]) || 0;
    if (n1 > n2) return 1;
    if (n1 < n2) return -1;
  }

  return 0;
}

function isVirtualMiniApp() {
  var global = typeof window === 'undefined' ? self : window;
  return global.__mmpSystemInfo && (global.__mmpSystemInfo.platform === 'devtools' || global.__mmpSystemInfo.isVirtualMiniApp);
}

function isNativeModeSupport() {
  var global = typeof window === 'undefined' ? self : window;

  if (isVirtualMiniApp()) {
    return false;
  }

  if (global.__mmpSystemInfo) {
    return compareVersion(global.__mmpSystemInfo.mmpSDKVersion, '1.10') >= 0;
  }

  return false;
}

function nativeModeRender(h) {
  var textareaMeta = {
    meta: {
      ref: 'textarea',
      class: 'mt-textarea-fake',
      style: 'visibility:hidden'
    },
    props: {
      readonly: true
    }
  };
  var styleText = [];

  if (isIOS) {
    styleText.push('left:2px');
  }

  if (this.data.placeholderStyle) {
    styleText.push.apply(styleText, _toConsumableArray(this.data.placeholderStyle.split(';')));
  }

  styleText.push('visibility:hidden');
  var placeholderMeta = {
    meta: {
      ref: 'placeholder',
      class: 'mt-textarea-placeholder',
      style: styleText.join(';')
    }
  };

  if (this.data.placeholderClass) {
    var cssPrefix = this.getComponentInstance().getOwner().define.prefix;
    this.data.placeholderClass.trim().split(/\s+/).map(function (c) {
      placeholderMeta.meta.class += ' ' + cssPrefix + c;
    });
  }

  var sameLayerTemplate = h('div', {
    meta: {
      ref: 'container',
      style: 'display:none; position: absolute; top: 0; left: 0; width: 100%; height: 100%;'
    }
  }, function () {
    return h('div', {
      meta: {
        ref: 'inner',
        style: 'width: 100%; height: 100%;'
      }
    });
  });
  return [sameLayerTemplate, h('textarea', textareaMeta), h('div', placeholderMeta, [this.data.placeholder])];
}

function webModeRender(h) {
  var textareaMeta = {
    meta: {
      ref: 'textarea',
      on: [{
        name: 'focus',
        host: true,
        listener: 'onFocus'
      }, {
        name: 'blur',
        host: true,
        listener: 'onBlur'
      }, {
        name: 'input',
        host: true,
        listener: 'onInput'
      }, {
        name: 'compositionstart',
        host: true,
        listener: 'onCompositionStart'
      }, {
        name: 'compositionend',
        host: true,
        listener: 'onCompositionEnd'
      }, {
        name: 'change',
        host: true,
        listener: 'onCompositionEnd'
      }]
    },
    props: {
      autofocus: this.data.focus || this.data.autoFocus,
      maxlength: this.data.maxlength,
      disabled: this.data.disabled,
      value: this.data.value
    }
  };
  var styleText = [];

  if (isIOS) {
    styleText.push('left:2px');
  }

  if (this.data.placeholderStyle) {
    styleText.push.apply(styleText, _toConsumableArray(this.data.placeholderStyle.split(';')));
  }

  styleText.push('display:none');
  var placeholderMeta = {
    meta: {
      ref: 'placeholder',
      class: 'mt-textarea-placeholder',
      style: styleText.join(';')
    }
  };

  if (this.data.placeholderClass) {
    var cssPrefix = this.getComponentInstance().getOwner().define.prefix;
    this.data.placeholderClass.trim().split(/\s+/).map(function (c) {
      placeholderMeta.meta.class += ' ' + cssPrefix + c;
    });
  }

  return [h('textarea', textareaMeta), h('div', placeholderMeta, [this.data.placeholder])];
}

BuiltinComponent('mt-textarea', {
  behaviors: ['wx://mt-form'],
  relations: {
    'mt-form': {
      type: 'ancestor'
    }
  },
  properties: {
    value: {
      type: String,
      value: ''
    },
    placeholder: {
      type: String
    },
    placeholderStyle: {
      type: String
    },
    placeholderClass: {
      type: String,
      value: 'textarea-placeholder'
    },
    disabled: {
      type: Boolean
    },
    maxlength: {
      type: Number,
      value: 140
    },
    autoFocus: {
      type: Boolean,
      value: false
    },
    focus: {
      type: Boolean,
      value: false
    },
    autoHeight: {
      type: Boolean,
      value: false
    },
    fixed: {
      type: Boolean,
      value: false
    },
    cursorSpacing: {
      type: Number,
      value: 0
    },
    cursor: {
      type: Number,
      value: -1
    },
    showConfirmBar: {
      type: Boolean,
      value: true
    },
    selectionStart: {
      type: Number,
      value: -1
    },
    selectionEnd: {
      type: Number,
      value: -1
    },
    adjustPosition: {
      type: Boolean,
      value: true
    },
    nativeMode: {
      type: Boolean,
      value: true
    },
    mtEnableSameLayer: {
      type: Boolean,
      value: false
    }
  },
  render: function render(h) {
    if (this.data.nativeMode && isNativeModeSupport()) {
      return nativeModeRender.call(this, h);
    }

    return webModeRender.call(this, h);
  }
});
          } });